'use strict';

if (document.getElementById('lagerTabelle')) {
	request({
		type:"GET",
		url: "/sven/api/stock",
	}, function (data) {
		  data.data = data.data.DATA;
		  if(data.data.length == 0) return;

  		var str = "";
  		var id = 1;
  		/*
  		* Erstellt einen String der die Tabelle beinhaltet
  		*/
  		str +='<table>';
  		str +='<thead>';
  		str +='<tr>';
  		str +='<th>Lagerplatz</th>';
  		str +='<th>Produktname</th>';
  		str +='<th>Menge</th>';
  		str +='</tr>';
  		str +='</thead>';
  		str +='<tbody>';
  		data.data.forEach(function(elem) {       //Durchläuft das Array als Schleife
  			str +='<tr>';
  			str +='<td>'+elem.Lagerplatz+'</td>';
  			str +='<td>'+elem.Name+'</td>';
  			str +='<td>'+elem.Menge+'</td>';
  			str +='</tr>';
  		});
  		str +='</tbody>';
  		str +='</table>';
  		$('#lagerTabelle').html(str);    //JQuerry

  	 }, function (data) {
  		   console.log(data);
         console.log('Error lagerTabelle');
  	    });
};
